package cn.com.tenlion.projectconfig.pojo.pos.projectconfig;

/**
 *
 * @ClassName: ProjectConfigPO
 * @Description: CBC项目配置管理表
 * @Author: CodeFactory
 * @Date: 2021-08-12 13:54:56
 * @Version: 3.0
 **/
public class ProjectConfigPO {

    private String projectConfigId;
    private String projectConfigKey;
    private String projectConfigMode;
    private String projectConfigText;
    private String projectConfigSwitch;
    private String projectConfigImage;
    private String projectConfigParams;
    private String projectConfigLevel;
    private String projectConfigStatus;
    private String projectConfigRemark;
    private String projectConfigProject;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getProjectConfigId() {
        return projectConfigId == null ? "" : projectConfigId.trim();
    }

    public void setProjectConfigId(String projectConfigId) {
        this.projectConfigId = projectConfigId;
    }

    public String getProjectConfigKey() {
        return projectConfigKey == null ? "" : projectConfigKey.trim();
    }

    public void setProjectConfigKey(String projectConfigKey) {
        this.projectConfigKey = projectConfigKey;
    }

    public String getProjectConfigMode() {
        return projectConfigMode == null ? "" : projectConfigMode.trim();
    }

    public void setProjectConfigMode(String projectConfigMode) {
        this.projectConfigMode = projectConfigMode;
    }

    public String getProjectConfigText() {
        return projectConfigText == null ? "" : projectConfigText.trim();
    }

    public void setProjectConfigText(String projectConfigText) {
        this.projectConfigText = projectConfigText;
    }

    public String getProjectConfigSwitch() {
        return projectConfigSwitch == null ? "" : projectConfigSwitch.trim();
    }

    public void setProjectConfigSwitch(String projectConfigSwitch) {
        this.projectConfigSwitch = projectConfigSwitch;
    }

    public String getProjectConfigImage() {
        return projectConfigImage == null ? "" : projectConfigImage.trim();
    }

    public void setProjectConfigImage(String projectConfigImage) {
        this.projectConfigImage = projectConfigImage;
    }

    public String getProjectConfigParams() {
        return projectConfigParams == null ? "" : projectConfigParams.trim();
    }

    public void setProjectConfigParams(String projectConfigParams) {
        this.projectConfigParams = projectConfigParams;
    }

    public String getProjectConfigLevel() {
        return projectConfigLevel == null ? "" : projectConfigLevel.trim();
    }

    public void setProjectConfigLevel(String projectConfigLevel) {
        this.projectConfigLevel = projectConfigLevel;
    }

    public String getProjectConfigStatus() {
        return projectConfigStatus == null ? "" : projectConfigStatus.trim();
    }

    public void setProjectConfigStatus(String projectConfigStatus) {
        this.projectConfigStatus = projectConfigStatus;
    }

    public String getProjectConfigRemark() {
        return projectConfigRemark == null ? "" : projectConfigRemark.trim();
    }

    public void setProjectConfigRemark(String projectConfigRemark) {
        this.projectConfigRemark = projectConfigRemark;
    }

    public String getProjectConfigProject() {
        return projectConfigProject == null ? "" : projectConfigProject.trim();
    }

    public void setProjectConfigProject(String projectConfigProject) {
        this.projectConfigProject = projectConfigProject;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
